package com.gxzc.zen.rpc.api.sys

import com.gxzc.zen.api.sys.model.SysUploadInfo
import com.gxzc.zen.common.util.upload.FdfsFile
import com.gxzc.zen.rpc.model.sys.RUploadInfo

/**
 *
 * @author NorthLan
 * @date 2018/6/20
 * @url https://noahlan.com
 */
interface RUploadService {

    /**
     * 添加文件数据
     */
    fun addFileInfo(fileName: String, md5: String, fileSize: Long, lastModified: Long?, relativePath: String?, fdfsFile: FdfsFile): SysUploadInfo

    /**
     * 通过文件md5值获取 文件数据
     * @param md5 需要用 FileUtils 计算
     */
    fun getUploadInfoByMd5(md5: String): SysUploadInfo?

    /**
     * 通过id获取单条 文件数据
     */
    fun getUploadInfoById(id: Long): SysUploadInfo?

    /**
     * 通过ids获取 文件数据 列表
     */
    fun getUploadInfoListByIdList(ids: Collection<Long>): MutableList<SysUploadInfo>

    /**
     * 通过id修改文件信息
     */
    fun modifyFileInfo(entity: RUploadInfo): SysUploadInfo

    /**
     * 通过id批量修改文件信息
     */
    fun modifyBatchFileInfo(entityList: MutableList<RUploadInfo>): MutableList<SysUploadInfo>
}