package com.gxzc.zen.common.config

import com.github.tobato.fastdfs.FdfsClientConfig
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
import org.springframework.context.annotation.Configuration
import org.springframework.context.annotation.EnableMBeanExport
import org.springframework.context.annotation.Import
import org.springframework.jmx.support.RegistrationPolicy

/**
 *
 * @author NorthLan
 * @date 2018/8/29
 * @url https://noahlan.com
 */
@Configuration
@Import(FdfsClientConfig::class)
@ConditionalOnProperty(prefix = "fdfs", name = ["enabled"], havingValue = "true")
@EnableMBeanExport(registration = RegistrationPolicy.IGNORE_EXISTING)
class FdfsConfig {
}